petsc-3.4.2 2013-07-02

## KSP solving a linear system

- <CONCEPT>ex30.c</CONCEPT> Reads a PETSc matrix and vector from a file and solves a linear system.
  It is copied and intended to move dirty codes from ksp/examples/tutorials/ex10.c and simplify ex10.c.
  Input parameters include
  -f0 <input_file> : first file to load (small system)
  -f1 <input_file> : second file to load (larger system)
  -trans : solve transpose system instead